package com.sunxung.factoring.entity.financing.contract;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * 上传的合同信息
 *
 * @author liutao
 * @date 2023-02-09
 */
@TableName("upload_contract_info")
public class UploadContractInfo extends BaseEntity {

    /**
     * 合同信息Id
     */
    @TableField("contract_info_id")
    private Long contractInfoId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同类型 主合同-master、附件-annex
     */
    @TableField("contract_type")
    private String contractType;

    /**
     * 签署合同附件Id
     */
    @TableField("file_id")
    private Long fileStorageId;

    /**
     * 签署合同附件
     */
    @TableField(exist = false)
    private FileStorage fileStorage;

    /**
     * 签署人
     */
    @TableField(exist = false)
    private List<UploadContractSignatory> uploadContractSignatories;

    /**
     * 签署人名称集合
     */
    @TableField(exist = false)
    private List<String> signatoryNameList;

    public Long getContractInfoId() {
        return contractInfoId;
    }

    public void setContractInfoId(Long contractInfoId) {
        this.contractInfoId = contractInfoId;
    }

    public void setContractType(String contractType) {
        this.contractType = contractType;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public List<UploadContractSignatory> getUploadContractSignatories() {
        return uploadContractSignatories;
    }

    public void setUploadContractSignatories(List<UploadContractSignatory> uploadContractSignatories) {
        this.uploadContractSignatories = uploadContractSignatories;
    }

    public Long getFileStorageId() {
        return fileStorageId;
    }

    public void setFileStorageId(Long fileStorageId) {
        this.fileStorageId = fileStorageId;
    }

    public String getContractType() {
        return contractType;
    }

    public FileStorage getFileStorage() {
        return fileStorage;
    }

    public void setFileStorage(FileStorage fileStorage) {
        this.fileStorage = fileStorage;
    }

    public List<String> getSignatoryNameList() {
        return signatoryNameList;
    }

    public void setSignatoryNameList(List<String> signatoryNameList) {
        this.signatoryNameList = signatoryNameList;
    }
}
